EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000025easycwmp[All Projects] Bugpublic2014-12-19 12:202014-12-29 12:19
Reportermeghamistry 
Assigned Tomohamed.kallel 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSUbuntuOS Version12.04
Summary0000025: easycwmp excutable carshes upon CTRL + C
DescriptionI have installed easycwmp on Ubuntu OS.

While testing I observer inform request/ response procedure exchange with ACS server.

After that to end the easycwmp process I give CTRL + C. This leads to segmentation faul.


Please find below log for the same :


< HTTP/1.1 204 No Content
< Server: Apache-Coyote/1.1
* Replaced cookie JSESSIONID="B9F2C76868B6C331AFB846C9BC7CA0D5" for domain 172.27.36.61, path /tr069/, expire 0
< Set-Cookie: JSESSIONID=B9F2C76868B6C331AFB846C9BC7CA0D5; Path=/tr069/; HttpOnly
< Connection: close
< Date: Thu, 18 Dec 2014 22:41:22 GMT
<
* Closing connection #0
+++ RECEIVED EMPTY HTTP RESPONSE +++













^CSegmentation fault (core dumped)



Steps To ReproduceRun easycwmp using
- /usr/sbin/ubusd -s /tmp/ubus.sock
- /usr/sbin/easycwmpd -f -b

Bring up ACS server

Observe Inform Request / Response procedure exchange

Then give CTRL + C command on the terminal easycwmp is running

you will observer segmentation fault

When I run this using gdb I don't observe segmentation fault.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000114)
mohamed.kallel (manager)
2014-12-29 12:19

resolved and delivered in easycwmp-1.0.5

- Issue History
Date Modified Username Field Change
2014-12-19 12:20 meghamistry New Issue
2014-12-29 12:19 mohamed.kallel Note Added: 0000114
2014-12-29 12:19 mohamed.kallel Status new => resolved
2014-12-29 12:19 mohamed.kallel Resolution open => fixed
2014-12-29 12:19 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker